post
https://api.callhub.io/v1/webhooks/
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Create new web hook. See below for possible values for event and when they are fired
| Event | Description |
|---|---|
| vb.transfer | Occurs when the transfer digit is pressed in a voice broadcast campaign |
| sb.reply | Occurs when a text reply is received in your CallHub account |
| cc.notes | Occurs when a note is added by a call center agent |
| agent.activation | Occurs when agent activates their account by clicking on the activation link |
The following keys will be received as data when the vb.transfer event occurs.
| Key | Value | Description |
|---|---|---|
| audio_url | String | URL to the Audio Message received, if it exists |
| transcript_content | String | Transcript of the Audio Message received, if transcript is enabled |
| from_number | String | Phone number from which the transfer digit was pressed |
| transcript_url | String | URL to the transcript of the Audio Message received, if transcript is enabled |
| campaign | String | Name of the Voice Broadcast Campaign that generated this event |
The following keys will be received as data when the sb.reply event occurs.
| Key | Value | Description |
|---|---|---|
| content | String | Content of the message received |
| from_name | String | Name of the person sending the text message |
| from_number | String | Phone number of the person sending the text message |
| campaign | String | Name of the text campaign that this reply is received for |
The following keys will be received as data when the cc.notes event occurs.
| Key | Value | Description |
|---|---|---|
| city | String | City of the person |
| first_name | String | Person's first name |
| last_name | String | Person's last name |
| campaign | String | Call center campaign name |
| mobile | String | Mobile number of the Person |
| country | String | Person's country |
| notes | String | Notes saved by the agent |
| zipcode | String | Person's zipcode |
| record_url | String | Recording of the conversation between agent and person |
| company_website | String | Website of person's company |
| state | String | State to which person belongs |
| contact | String | Contact Number of the person |
| nationbuilder_tags | String | Nation Builder Tags associated with the person |
| nationbuilder_id | Integer | Nation Builder Id of the contact |
| company_name | String | Name of the company where person works |
| String | Email address of the contact | |
| address | String | Address where person stays |
| job_title | String | Person's job title |
| disposition | String | Disposition selected for this call |
| surveys | Array | Key value pairs of survey questions and responses |
| agent.id | Integer | Id of the agent who saved notes |
| agent.username | String | username of the agent who saved notes |
| agent.email | String | email address of the agent for whom the notes were added |
| agent.nationbuilder_id | Integer | Nation Builder Id of the agent |
The following keys will be received as data when the agent.activation event occurs.
| Key | Value | Description |
|---|---|---|
| id | Integer | Id of the agent that got activated |
| username | String | username of the activated agent |
| String | Email address of the agent | |
| activated_at | String | Date time in UTC when agent got activated |
Example Event Hook Responses
{
"hook": {},
"data": {
"audio_url": "https://s3.amazonaws.com/recordings/1c112f10-d15a-1964-b894-842bFE5655.mp3",
"transcript_content": "Hey, Thanks for the call. See you on Friday",
"from_number": "15104024173",
"transcript_url": "https://s3.amazonaws.com/recordings/1c112f10-d15a-1964-b894-842bFE5655.txt",
"campaign": "Voice Broadcast, Apr 03, 06:42"
}
}{
"hook": {},
"data": {
"content": "Yes, I will be there!",
"from_name": "John Doe",
"from_number": "16502293681",
"campaign": "Friday Party Invite"
}
}{
"city": "Santa Clara",
"first_name": "John",
"last_name": "Doe",
"campaign": "Fishy Campaign",
"mobile": "16507868629",
"country": "HU",
"notes": "This person loves fish!",
"zipcode": "50103",
"record_url": "https://s3.amazonaws.com/recordings/081eecf6-dsfdsgdfg4e051700.mp3",
"company_website": "https://callhub.io/",
"state": "CA",
"contact": "16507868628",
"nationbuilder_tags": [
"survey responded",
"fish owner"
],
"company_name": "CallHub",
"address": "Genesis Suncity",
"job_title": "Engineer",
"disposition": "MEANINGFUL_INTERACTION",
"surveys": [
{"answer": "A", "type": "MultiChoice", "question": "You like A or B?"},
{"answer": "My Text", "type": "Text", "question": "What is your text?"},
{"answer": 32, "type": "Numeric", "question": "Your age?"}
],
}